group "default" {
  targets = ["web", "api", "cronjob"]
}

group "release" {
  targets = ["web-release", "api-release", "cronjob-release"]
}

target "web" {
  context = "./Mindforge.Web"
  dockerfile = "Dockerfile"
  tags = ["git.ivanch.me/ivanch/mindforge-web:latest"]
  args = {
    VITE_API_BASE_URL = "http://api.mindforge.haven"
  }
}

target "web-release" {
  inherits = ["web"]
  platforms = ["linux/amd64", "linux/arm64"]
  output = ["type=registry"]
}

target "api" {
  context = "./Mindforge.API"
  dockerfile = "Dockerfile"
  tags = ["git.ivanch.me/ivanch/mindforge-api:latest"]
}

target "api-release" {
  inherits = ["api"]
  platforms = ["linux/amd64", "linux/arm64"]
  output = ["type=registry"]
}

target "cronjob" {
  context = "./mindforge.cronjob"
  dockerfile = "Dockerfile"
  tags = ["git.ivanch.me/ivanch/mindforge-cronjob:latest"]
}

target "cronjob-release" {
  inherits = ["cronjob"]
  platforms = ["linux/amd64", "linux/arm64"]
  output = ["type=registry"]
}
